Search Unity

Cloud license and Model Target question

Discussion in 'Vuforia' started by Kafar, Jan 12, 2018.

  1. Kafar

    Kafar

    Joined:
    Nov 29, 2012
    Posts:
    204
    Hello,

    I have an app using the Vuforia cloud API and obviously in the app there is the license key for the cloud.
    Now, if I want integrate in the same app also the Model Target I can do it?
    Because I read the Model Target need to create a new license key, but this mean I can't develop an app with cloud target and model target?

    Thanks.
     
  2. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
  3. Kafar

    Kafar

    Joined:
    Nov 29, 2012
    Posts:
    204
    Yes, thanks, this I know. But my question is another.... in the same app is possible to put together a cloud target (with his license) and a model target (with his license)?

    Thanks.
     
    Last edited: Jan 13, 2018
  4. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
    Yes this is possible with a pro license. It would cover both cloud and model target features with a single license in the same app.
     
  5. ramuchilla

    ramuchilla

    Joined:
    Oct 4, 2017
    Posts:
    3
    My Data Sets are not loading when i'm working with the Model Targets
    it is showing like " Failed to load data set "
    please help me for this
     
  6. meedabit

    meedabit

    Official Vuforia Employee Vuforia

    Joined:
    Dec 8, 2016
    Posts:
    174
    Hello @ramuchilla,

    Try using a free Developer License from the Vuforia developer portal. If you project has a Classic or Cloud license, it will *not* be able to load a Model Target device database.

    Also be sure that you're using a version of the Model Target Generator that matches the SDK version you're using (i.e. SDK 7.5.X should be using device databases generated by 7.5.X version of the MTG). We've unfortunately had to break backward compatibility with the MTG for older versions of the SDK, which may interfere with dataset loading.

    Thanks,
    Vuforia Engine Support